Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Status: New Owner: Labels: Type-Defect Priority-Medium New issue 3967 by shirph...@126.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 *** READ THIS BEFORE POSTING! *** *** You must complete this form in its entirety, or your bug

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Comment #3 on issue 3967 by shirph...@126.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 yihuihu@shreview02:/var/www$ sudo rb-site manage /var/www/reviewboard list-evolutions [sudo] password for yihuihu: Applied evolutions for

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Comment #5 on issue 3967 by shirph...@126.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 OK , I got the result from command line: from django_evolution.models import Version for version in Version.objects.all(): print version ...

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Updates: Status: NeedInfo Comment #2 on issue 3967 by chip...@gmail.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 Sounds like your database is in a bad state. It needs to be repaired, or this will just continue to happen,

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Comment #1 on issue 3967 by shirph...@126.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 admin --- database ---DJANGO_EVOLUTION --- versions: Stored version, updated on 2015-02-12 02:23:19+00:00 Hinted version, updated on

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Comment #4 on issue 3967 by shirph...@126.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 for admin --- database --- django_evolution - versions, get the following list in web UI: Stored version, updated on 2015-02-12

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Comment #6 on issue 3967 by chip...@gmail.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 Okay, something to try: First, back up your database. We will be doing something that might require re-loading it back in. Second, go back

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Updates: Status: Fixed Comment #8 on issue 3967 by chip...@gmail.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 Glad to hear it! :) We've seen this in a couple of cases, but it's very unclear why it's happening. -- You

Re: Issue 3967 in reviewboard: upgrade from 2.0.18 to 2.0.20 get error

2015-09-14 Thread reviewboard
Comment #7 on issue 3967 by shirph...@126.com: upgrade from 2.0.18 to 2.0.20 get error https://code.google.com/p/reviewboard/issues/detail?id=3967 Thanks you very very very much, It works now. from django_evolution.models import Version v = Version.objects.all()[0] print v Hinted version,